
/* //////////////////////////////////////////////////// */
/* This file is a part of the BSTools procedure package */
/* written by Przemyslaw Kiciak.                        */
/* //////////////////////////////////////////////////// */

#define MAXCONES 32
#define MAXH      5

typedef struct {
    point4d  qcp0[6], qcp1[6];  /* rational Bezier patches of degree (2,1) */
    int      ea, eb;            /* numbers of polygon edges */
    int      na, nb;            /* numbers of neighbours */
    double   alpha, salpha, calpha;
    double   phi, sphi, cphi;
    double   r, R, lgt;
    boolean  flat, cyl;
    boolean  tag;
  } halfcone;

extern int      nhcones;
extern halfcone hc[2*MAXH*MAXCONES+4];

extern point3d plframe[3];
extern point3d spframe[3];
extern trans3d sphtrans1, sphtrans2, sphtrans3;
extern int     rollhc;
extern double  roll_s;
extern double  rollphi;
extern boolean rolldir;

extern point3d hcframe[4];

int GenSphericon ( int n, int k, int h, boolean dual, boolean halfdual );
void DrawSphericonWF ( void );
void DrawSphericonSolid ( void );
void DrawSphericonShadow ( trans3d *tr, trans3d *trsh, boolean convex );
void DrawHCFrame ( void );

void IdentSphTrans ( void );
void InitSphTrans ( int fno );
void IncreaseSphTrans ( double delta );
void GetSphCentre ( point3d *spc );

