
/* //////////////////////////////////////////////////// */
/* This file is a part of the BSTools procedure package */
/* written by Przemyslaw Kiciak.                        */
/* //////////////////////////////////////////////////// */

#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include <malloc.h>
#include <string.h>

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glx.h>

#include "pkvaria.h"
#include "pkscanner.h"
#include "pknum.h"
#include "pkgeom.h"
#include "camera.h"
#include "multibs.h"
#include "bsmesh.h"
#include "g2blendingd.h"
#include "egholed.h"
#include "mengerc.h"
#include "bsfile.h"
#include "pkrender.h"
#include "xgedit.h"
#include "xgledit.h"

#include "widgets.h"
#include "editor.h"
#include "editor_bezc.h"
#include "editor_bsc.h"
#include "editor_bezp.h"
#include "editor_bsp.h"
#include "editor_bsm.h"
#include "editor_bsh.h"
#include "pozwalaj.h"

char errmsg[MAX_ERROR_MSG+1];

void DisplayErrorMessage1 ( const char *message, int key )
{
  sprintf ( errmsg, "%s: %s.", txtError, message );
  xge_DisplayErrorMessage ( errmsg, key );
} /*DisplayErrorMessage1*/

void DisplayErrorMessage2 ( const char *format, const char *name,
                            int n1, int n2, int key )
{
  sprintf ( errmsg, format, txtError, name, n1, n2 );
  xge_DisplayErrorMessage ( errmsg, key );
} /*DisplayErrorMessage2*/


