
/* //////////////////////////////////////////////////// */
/* This file is a part of the BSTools procedure package */
/* written by Przemyslaw Kiciak.                        */
/* //////////////////////////////////////////////////// */

/* Bezier curves */
#define OBJC_BEZC_CURVE            xglec_White
#define OBJC_BEZC_CPOLY0           xglec_Green
#define OBJC_BEZC_CPOLY1           xglec_Green4
#define OBJC_BEZC_CP_UNMARKED      xglec_Yellow
#define OBJC_BEZC_CP_MARKED        xglec_OrangeRed
#define OBJC_BEZC_CP_WEIGHT        xglec_DarkOliveGreen2
#define OBJC_BEZC_CURVATURE        xglec_CornflowerBlue
#define OBJC_BEZC_TORSION          xglec_SpringGreen2

/* B-spline curves */
#define OBJC_BSC_CURVE             xglec_White
#define OBJC_BSC_CPOLY0            xglec_Green
#define OBJC_BSC_CPOLY1            xglec_Green4
#define OBJC_BSC_CP_UNMARKED       xglec_Yellow
#define OBJC_BSC_CP_MARKED         xglec_OrangeRed
#define OBJC_BSC_CP_WEIGHT         xglec_DarkOliveGreen2
#define OBJC_BSC_BEZPOLY           xglec_Green3
#define OBJC_BSC_CURVATURE         xglec_CornflowerBlue
#define OBJC_BSC_TORSION           xglec_SpringGreen2

/* Bezier patches */
#define OBJC_BEZP_PATCH_BOUNDARY   xglec_White
#define OBJC_BEZP_PATCH_CPLINES    xglec_Grey1
#define OBJC_BEZP_CNET             xglec_Green
#define OBJC_BEZP_CP_UNMARKED      xglec_Yellow
#define OBJC_BEZP_CP_MARKED        xglec_OrangeRed

/* B-spline patches */
#define OBJC_BSP_TRIMMED_BOUNDARY  xglec_White
#define OBJC_BSP_PATCH_CPLINES     xglec_Grey1
#define OBJC_BSP_CNET              xglec_Green
#define OBJC_BSP_CP_UNMARKED       xglec_Yellow
#define OBJC_BSP_CP_MARKED         xglec_OrangeRed

/* B-spline meshes */
#define OBJC_MESH_VERTEX_UNMARKED  xglec_Yellow
#define OBJC_MESH_VERTEX_MARKED    xglec_OrangeRed
#define OBJC_MESH_VERTEX_BOUNDARY  xglec_GreenYellow
#define OBJC_MESH_VERTEX_BMARKED   xglec_Salmon3
#define OBJC_MESH_VERTEX_CHANGED   xglec_LightBlue2
#define OBJC_MESH_VERTEX_SEL0      xglec_Orchid1
#define OBJC_MESH_VERTEX_SEL1      xglec_Orchid2
#define OBJC_MESH_EDGE_BOUNDARY    xglec_GreenYellow
#define OBJC_MESH_EDGE_INNER       xglec_Green3
#define OBJC_MESH_EDGE_MKBOUNDARY  xglec_LightPink1
#define OBJC_MESH_EDGE_MKINNER     xglec_LightPink2
#define OBJC_MESH_EDGE_SEL0        xglec_Orchid3
#define OBJC_MESH_EDGE_SEL1        xglec_Orchid4
#define OBJC_MESH_FACET_SEL0       xglec_Orchid3
#define OBJC_MESH_FACET_SEL1       xglec_Orchid4
#define OBJC_MESH_SURF_BOUNDARY    xglec_White
#define OBJC_MESH_SURF_INNER       xglec_Grey1
#define OBJC_MESH_SURF_G1          xglec_Wheat2
#define OBJC_MESH_SURF_G2          xglec_LightSkyBlue1
#define OBJC_MESH_SURF_G1Q2        xglec_Thistle2
#define OBJC_MESH_SPECIAL_VSUBNET  xglec_Red1
#define OBJC_MESH_SPECIAL_FSUBNET  xglec_Plum

/* B-spline holes */

