
/* //////////////////////////////////////////////////// */
/* This file is a part of the BSTools procedure package */
/* written by Przemyslaw Kiciak.                        */
/* //////////////////////////////////////////////////// */

#include <stdlib.h>   
#include <stdio.h>
#include <math.h>  
#include <malloc.h>
#include <string.h>

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <GL/gl.h>  
#include <GL/glu.h> 
#include <GL/glx.h>

#include "pkvaria.h" 
#include "pknum.h"
#include "pkgeom.h"
#include "camera.h"
#include "multibs.h"
#include "bsmesh.h"
#include "g2blendingd.h"
#include "egholed.h"
#include "mengerc.h"
#include "bsfile.h"
#include "xgedit.h"
#include "xgledit.h"

#include "editor.h"  
#include "editor_bezc.h"
#include "editor_bsc.h"
#include "editor_bezp.h"
#include "editor_bsp.h"
#include "editor_bsm.h"
#include "editor_bsh.h"

static trans3d saved_pretrans;

void GeomObjectSavePretransformation ( geom_object *go )
{
  saved_pretrans = go->pretrans;
} /*GeomObjectSavePretransformation*/

void GeomObjectCompPretransformation ( geom_object *go, trans3d *tr )
{
  CompTrans3d ( &go->pretrans, &saved_pretrans, tr );
} /*GeomObjectCompPretransformation*/

void GeomObjectSetPretransformation ( geom_object *go, trans3d *tr )
{
  go->pretrans = *tr;
} /*GeomObjectSetPretransformation*/

