
/* ///////////////////////////////////////////////////////////////////////// */
/* This file is a part of the BSTools package                                */
/* written by Przemyslaw Kiciak                                              */
/* ///////////////////////////////////////////////////////////////////////// */
/* (C) Copyright by Przemyslaw Kiciak, 2007, 2014                            */
/* this package is distributed under the terms of the                        */
/* Lesser GNU Public License, see the file COPYING.LIB                       */
/* ///////////////////////////////////////////////////////////////////////// */

#ifndef XGERGB_H
#define XGERGB_H

typedef unsigned int xgecolour_int;

/* The colour names are taken from the file rgb.txt of X. */
/* The numbers below must match with the entries of the   */
/* palette declared in the file xgergb.c. */
#define xgec_AliceBlue            xge_palette[0]
#define xgec_AntiqueWhite         xge_palette[1]
#define xgec_AntiqueWhite1        xge_palette[2]
#define xgec_AntiqueWhite2        xge_palette[3]
#define xgec_AntiqueWhite3        xge_palette[4]
#define xgec_AntiqueWhite4        xge_palette[5]
#define xgec_Aquamarine           xge_palette[6]
#define xgec_Aquamarine1          xge_palette[7]
#define xgec_Aquamarine2          xge_palette[8]
#define xgec_Aquamarine3          xge_palette[9]
#define xgec_Aquamarine4          xge_palette[10]
#define xgec_Azure                xge_palette[11]
#define xgec_Azure1               xge_palette[12]
#define xgec_Azure2               xge_palette[13]
#define xgec_Azure3               xge_palette[14]
#define xgec_Azure4               xge_palette[15]
#define xgec_Beige                xge_palette[16]
#define xgec_Bisque               xge_palette[17]
#define xgec_Bisque1              xge_palette[18]
#define xgec_Bisque2              xge_palette[19]
#define xgec_Bisque3              xge_palette[20]
#define xgec_Bisque4              xge_palette[21]
#define xgec_Black                xge_palette[22]
#define xgec_BlanchedAlmond       xge_palette[23]
#define xgec_Blue                 xge_palette[24]
#define xgec_Blue1                xge_palette[25]
#define xgec_Blue2                xge_palette[26]
#define xgec_Blue3                xge_palette[27]
#define xgec_Blue4                xge_palette[28]
#define xgec_Blue5                xge_palette[29]
#define xgec_Blue6                xge_palette[30]
#define xgec_Blue7                xge_palette[31]
#define xgec_BlueViolet           xge_palette[32]
#define xgec_Brown                xge_palette[33]
#define xgec_Brown1               xge_palette[34]
#define xgec_Brown2               xge_palette[35]
#define xgec_Brown3               xge_palette[36]
#define xgec_Brown4               xge_palette[37]
#define xgec_Burlywood            xge_palette[38]
#define xgec_Burlywood1           xge_palette[39]
#define xgec_Burlywood2           xge_palette[40]
#define xgec_Burlywood3           xge_palette[41]
#define xgec_Burlywood4           xge_palette[42]
#define xgec_CadetBlue            xge_palette[43]
#define xgec_CadetBlue1           xge_palette[44]
#define xgec_CadetBlue2           xge_palette[45]
#define xgec_CadetBlue3           xge_palette[46]
#define xgec_CadetBlue4           xge_palette[47]
#define xgec_Chartreuse           xge_palette[48]
#define xgec_Chartreuse1          xge_palette[49]
#define xgec_Chartreuse2          xge_palette[50]
#define xgec_Chartreuse3          xge_palette[51]
#define xgec_Chartreuse4          xge_palette[52]
#define xgec_Chocolate            xge_palette[53]
#define xgec_Chocolate1           xge_palette[54]
#define xgec_Chocolate2           xge_palette[55]
#define xgec_Chocolate3           xge_palette[56]
#define xgec_Chocolate4           xge_palette[57]
#define xgec_Coral                xge_palette[58]
#define xgec_Coral1               xge_palette[59]
#define xgec_Coral2               xge_palette[60]
#define xgec_Coral3               xge_palette[61]
#define xgec_Coral4               xge_palette[62]
#define xgec_CornflowerBlue       xge_palette[63]
#define xgec_Cornsilk             xge_palette[64]
#define xgec_Cornsilk1            xge_palette[65]
#define xgec_Cornsilk2            xge_palette[66]
#define xgec_Cornsilk3            xge_palette[67]
#define xgec_Cornsilk4            xge_palette[68]
#define xgec_Cyan                 xge_palette[69]
#define xgec_Cyan1                xge_palette[70]
#define xgec_Cyan2                xge_palette[71]
#define xgec_Cyan3                xge_palette[72]
#define xgec_Cyan4                xge_palette[73]
#define xgec_DarkBlue             xge_palette[74]
#define xgec_DarkCyan             xge_palette[75]
#define xgec_DarkGoldenrod        xge_palette[76]
#define xgec_DarkGoldenrod1       xge_palette[77]
#define xgec_DarkGoldenrod2       xge_palette[78]
#define xgec_DarkGoldenrod3       xge_palette[79]
#define xgec_DarkGoldenrod4       xge_palette[80]
#define xgec_DarkGreen            xge_palette[81]
#define xgec_DarkGrey             xge_palette[82]
#define xgec_DarkKhaki            xge_palette[83]
#define xgec_DarkMagenta          xge_palette[84]
#define xgec_DarkOliveGreen       xge_palette[85]
#define xgec_DarkOliveGreen1      xge_palette[86]
#define xgec_DarkOliveGreen2      xge_palette[87]
#define xgec_DarkOliveGreen3      xge_palette[88]
#define xgec_DarkOliveGreen4      xge_palette[89]
#define xgec_DarkOrange           xge_palette[90]
#define xgec_DarkOrange1          xge_palette[91]
#define xgec_DarkOrange2          xge_palette[92]
#define xgec_DarkOrange3          xge_palette[93]
#define xgec_DarkOrange4          xge_palette[94]
#define xgec_DarkOrchid           xge_palette[95]
#define xgec_DarkOrchid1          xge_palette[96]
#define xgec_DarkOrchid2          xge_palette[97]
#define xgec_DarkOrchid3          xge_palette[98]
#define xgec_DarkOrchid4          xge_palette[99]
#define xgec_DarkRed              xge_palette[100]
#define xgec_DarkSalmon           xge_palette[101]
#define xgec_DarkSeaGreen         xge_palette[102]
#define xgec_DarkSeaGreen1        xge_palette[103]
#define xgec_DarkSeaGreen2        xge_palette[104]
#define xgec_DarkSeaGreen3        xge_palette[105]
#define xgec_DarkSeaGreen4        xge_palette[106]
#define xgec_DarkSlateBlue        xge_palette[107]
#define xgec_DarkSlateGrey        xge_palette[108]
#define xgec_DarkSlateGrey1       xge_palette[109]
#define xgec_DarkSlateGrey2       xge_palette[110]
#define xgec_DarkSlateGrey3       xge_palette[111]
#define xgec_DarkSlateGrey4       xge_palette[112]
#define xgec_DarkTurquoise        xge_palette[113]
#define xgec_DarkViolet           xge_palette[114]
#define xgec_DeepPink             xge_palette[115]
#define xgec_DeepPink1            xge_palette[116]
#define xgec_DeepPink2            xge_palette[117]
#define xgec_DeepPink3            xge_palette[118]
#define xgec_DeepPink4            xge_palette[119]
#define xgec_DeepSkyBlue          xge_palette[120]
#define xgec_DeepSkyBlue1         xge_palette[121]
#define xgec_DeepSkyBlue2         xge_palette[122]
#define xgec_DeepSkyBlue3         xge_palette[123]
#define xgec_DeepSkyBlue4         xge_palette[124]
#define xgec_DimGrey              xge_palette[125]
#define xgec_DodgerBlue           xge_palette[126]
#define xgec_DodgerBlue1          xge_palette[127]
#define xgec_DodgerBlue2          xge_palette[128]
#define xgec_DodgerBlue3          xge_palette[129]
#define xgec_DodgerBlue4          xge_palette[130]
#define xgec_Firebrick            xge_palette[131]
#define xgec_Firebrick1           xge_palette[132]
#define xgec_Firebrick2           xge_palette[133]
#define xgec_Firebrick3           xge_palette[134]
#define xgec_Firebrick4           xge_palette[135]
#define xgec_FloralWhite          xge_palette[136]
#define xgec_ForestGreen          xge_palette[137]
#define xgec_Gainsboro            xge_palette[138]
#define xgec_GhostWhite           xge_palette[139]
#define xgec_Gold                 xge_palette[140]
#define xgec_Gold1                xge_palette[141]
#define xgec_Gold2                xge_palette[142]
#define xgec_Gold3                xge_palette[143]
#define xgec_Gold4                xge_palette[144]
#define xgec_Goldenrod            xge_palette[145]
#define xgec_Goldenrod1           xge_palette[146]
#define xgec_Goldenrod2           xge_palette[147]
#define xgec_Goldenrod3           xge_palette[148]
#define xgec_Goldenrod4           xge_palette[149]
#define xgec_Green                xge_palette[150]
#define xgec_Green1               xge_palette[151]
#define xgec_Green2               xge_palette[152]
#define xgec_Green3               xge_palette[153]
#define xgec_Green4               xge_palette[154]
#define xgec_Green5               xge_palette[155]
#define xgec_Green6               xge_palette[156]
#define xgec_Green7               xge_palette[157]
#define xgec_GreenYellow          xge_palette[158]
#define xgec_Grey                 xge_palette[159]
#define xgec_Grey1                xge_palette[160]
#define xgec_Grey2                xge_palette[161]
#define xgec_Grey3                xge_palette[162]
#define xgec_Grey4                xge_palette[163]
#define xgec_Grey5                xge_palette[164]
#define xgec_Grey6                xge_palette[165]
#define xgec_Grey7                xge_palette[166]
#define xgec_Honeydew             xge_palette[167]
#define xgec_Honeydew1            xge_palette[168]
#define xgec_Honeydew2            xge_palette[169]
#define xgec_Honeydew3            xge_palette[170]
#define xgec_Honeydew4            xge_palette[171]
#define xgec_HotPink              xge_palette[172]
#define xgec_HotPink1             xge_palette[173]
#define xgec_HotPink2             xge_palette[174]
#define xgec_HotPink3             xge_palette[175]
#define xgec_HotPink4             xge_palette[176]
#define xgec_IndianRed            xge_palette[177]
#define xgec_IndianRed1           xge_palette[178]
#define xgec_IndianRed2           xge_palette[179]
#define xgec_IndianRed3           xge_palette[180]
#define xgec_IndianRed4           xge_palette[181]
#define xgec_Ivory                xge_palette[182]
#define xgec_Ivory1               xge_palette[183]
#define xgec_Ivory2               xge_palette[184]
#define xgec_Ivory3               xge_palette[185]
#define xgec_Ivory4               xge_palette[186]
#define xgec_Khaki                xge_palette[187]
#define xgec_Khaki1               xge_palette[188]
#define xgec_Khaki2               xge_palette[189]
#define xgec_Khaki3               xge_palette[190]
#define xgec_Khaki4               xge_palette[191]
#define xgec_Lavender             xge_palette[192]
#define xgec_LavenderBlush        xge_palette[193]
#define xgec_LavenderBlush1       xge_palette[194]
#define xgec_LavenderBlush2       xge_palette[195]
#define xgec_LavenderBlush3       xge_palette[196]
#define xgec_LavenderBlush4       xge_palette[197]
#define xgec_LawnGreen            xge_palette[198]
#define xgec_LemonChiffon         xge_palette[199]
#define xgec_LemonChiffon1        xge_palette[200]
#define xgec_LemonChiffon2        xge_palette[201]
#define xgec_LemonChiffon3        xge_palette[202]
#define xgec_LemonChiffon4        xge_palette[203]
#define xgec_LightBlue            xge_palette[204]
#define xgec_LightBlue1           xge_palette[205]
#define xgec_LightBlue2           xge_palette[206]
#define xgec_LightBlue3           xge_palette[207]
#define xgec_LightBlue4           xge_palette[208]
#define xgec_LightCoral           xge_palette[209]
#define xgec_LightCyan            xge_palette[210]
#define xgec_LightCyan1           xge_palette[211]
#define xgec_LightCyan2           xge_palette[212]
#define xgec_LightCyan3           xge_palette[213]
#define xgec_LightCyan4           xge_palette[214]
#define xgec_LightGoldenrod       xge_palette[215]
#define xgec_LightGoldenrod1      xge_palette[216]
#define xgec_LightGoldenrod2      xge_palette[217]
#define xgec_LightGoldenrod3      xge_palette[218]
#define xgec_LightGoldenrod4      xge_palette[219]
#define xgec_LightGoldenrodYellow xge_palette[220]
#define xgec_LightGreen           xge_palette[221]
#define xgec_LightGrey            xge_palette[222]
#define xgec_LightPink            xge_palette[223]
#define xgec_LightPink1           xge_palette[224]
#define xgec_LightPink2           xge_palette[225]
#define xgec_LightPink3           xge_palette[226]
#define xgec_LightPink4           xge_palette[227]
#define xgec_LightSalmon          xge_palette[228]
#define xgec_LightSalmon1         xge_palette[229]
#define xgec_LightSalmon2         xge_palette[230]
#define xgec_LightSalmon3         xge_palette[231]
#define xgec_LightSalmon4         xge_palette[232]
#define xgec_LightSeaGreen        xge_palette[233]
#define xgec_LightSkyBlue         xge_palette[234]
#define xgec_LightSkyBlue1        xge_palette[235]
#define xgec_LightSkyBlue2        xge_palette[236]
#define xgec_LightSkyBlue3        xge_palette[237]
#define xgec_LightSkyBlue4        xge_palette[238]
#define xgec_LightSlateBlue       xge_palette[239]
#define xgec_LightSlateGrey       xge_palette[240]
#define xgec_LightSteelBlue       xge_palette[241]
#define xgec_LightSteelBlue1      xge_palette[242]
#define xgec_LightSteelBlue2      xge_palette[243]
#define xgec_LightSteelBlue3      xge_palette[244]
#define xgec_LightSteelBlue4      xge_palette[245]
#define xgec_LightYellow          xge_palette[246]
#define xgec_LightYellow1         xge_palette[247]
#define xgec_LightYellow2         xge_palette[248]
#define xgec_LightYellow3         xge_palette[249]
#define xgec_LightYellow4         xge_palette[250]
#define xgec_LimeGreen            xge_palette[251]
#define xgec_Linen                xge_palette[252]
#define xgec_Magenta              xge_palette[253]
#define xgec_Magenta1             xge_palette[254]
#define xgec_Magenta2             xge_palette[255]
#define xgec_Magenta3             xge_palette[256]
#define xgec_Magenta4             xge_palette[257]
#define xgec_Maroon               xge_palette[258]
#define xgec_Maroon1              xge_palette[259]
#define xgec_Maroon2              xge_palette[260]
#define xgec_Maroon3              xge_palette[261]
#define xgec_Maroon4              xge_palette[262]
#define xgec_MediumAquamarine     xge_palette[263]
#define xgec_MediumBlue           xge_palette[264]
#define xgec_MediumOrchid         xge_palette[265]
#define xgec_MediumOrchid1        xge_palette[266]
#define xgec_MediumOrchid2        xge_palette[267]
#define xgec_MediumOrchid3        xge_palette[268]
#define xgec_MediumOrchid4        xge_palette[269]
#define xgec_MediumPurple         xge_palette[270]
#define xgec_MediumPurple1        xge_palette[271]
#define xgec_MediumPurple2        xge_palette[272]
#define xgec_MediumPurple3        xge_palette[273]
#define xgec_MediumPurple4        xge_palette[274]
#define xgec_MediumSeaGreen       xge_palette[275]
#define xgec_MediumSlateBlue      xge_palette[276]
#define xgec_MediumSpringGreen    xge_palette[277]
#define xgec_MediumTurquoise      xge_palette[278]
#define xgec_MediumVioletRed      xge_palette[279]
#define xgec_MidnightBlue         xge_palette[280]
#define xgec_MintCream            xge_palette[281]
#define xgec_MistyRose            xge_palette[282]
#define xgec_MistyRose1           xge_palette[283]
#define xgec_MistyRose2           xge_palette[284]
#define xgec_MistyRose3           xge_palette[285]
#define xgec_MistyRose4           xge_palette[286]
#define xgec_Moccasin             xge_palette[287]
#define xgec_NavajoWhite          xge_palette[288]
#define xgec_NavajoWhite1         xge_palette[289]
#define xgec_NavajoWhite2         xge_palette[290]
#define xgec_NavajoWhite3         xge_palette[291]
#define xgec_NavajoWhite4         xge_palette[292]
#define xgec_NavyBlue             xge_palette[293]
#define xgec_OldLace              xge_palette[294]
#define xgec_OliveDrab            xge_palette[295]
#define xgec_OliveDrab1           xge_palette[296]
#define xgec_OliveDrab2           xge_palette[297]
#define xgec_OliveDrab3           xge_palette[298]
#define xgec_OliveDrab4           xge_palette[299]
#define xgec_Orange               xge_palette[300]
#define xgec_Orange1              xge_palette[301]
#define xgec_Orange2              xge_palette[302]
#define xgec_Orange3              xge_palette[303]
#define xgec_Orange4              xge_palette[304]
#define xgec_OrangeRed            xge_palette[305]
#define xgec_OrangeRed1           xge_palette[306]
#define xgec_OrangeRed2           xge_palette[307]
#define xgec_OrangeRed3           xge_palette[308]
#define xgec_OrangeRed4           xge_palette[309]
#define xgec_Orchid               xge_palette[310]
#define xgec_Orchid1              xge_palette[311]
#define xgec_Orchid2              xge_palette[312]
#define xgec_Orchid3              xge_palette[313]
#define xgec_Orchid4              xge_palette[314]
#define xgec_PaleGoldenrod        xge_palette[315]
#define xgec_PaleGreen            xge_palette[316]
#define xgec_PaleGreen1           xge_palette[317]
#define xgec_PaleGreen2           xge_palette[318]
#define xgec_PaleGreen3           xge_palette[319]
#define xgec_PaleGreen4           xge_palette[320]
#define xgec_PaleTurquoise        xge_palette[321]
#define xgec_PaleTurquoise1       xge_palette[322]
#define xgec_PaleTurquoise2       xge_palette[323]
#define xgec_PaleTurquoise3       xge_palette[324]
#define xgec_PaleTurquoise4       xge_palette[325]
#define xgec_PaleVioletRed        xge_palette[326]
#define xgec_PaleVioletRed1       xge_palette[327]
#define xgec_PaleVioletRed2       xge_palette[328]
#define xgec_PaleVioletRed3       xge_palette[329]
#define xgec_PaleVioletRed4       xge_palette[330]
#define xgec_PapayaWhip           xge_palette[331]
#define xgec_PeachPuff            xge_palette[332]
#define xgec_PeachPuff1           xge_palette[333]
#define xgec_PeachPuff2           xge_palette[334]
#define xgec_PeachPuff3           xge_palette[335]
#define xgec_PeachPuff4           xge_palette[336]
#define xgec_Peru                 xge_palette[337]
#define xgec_Pink                 xge_palette[338]
#define xgec_Pink1                xge_palette[339]
#define xgec_Pink2                xge_palette[340]
#define xgec_Pink3                xge_palette[341]
#define xgec_Pink4                xge_palette[342]
#define xgec_Plum                 xge_palette[343]
#define xgec_Plum1                xge_palette[344]
#define xgec_Plum2                xge_palette[345]
#define xgec_Plum3                xge_palette[346]
#define xgec_Plum4                xge_palette[347]
#define xgec_PowderBlue           xge_palette[348]
#define xgec_Purple               xge_palette[349]
#define xgec_Purple1              xge_palette[350]
#define xgec_Purple2              xge_palette[351]
#define xgec_Purple3              xge_palette[352]
#define xgec_Purple4              xge_palette[353]
#define xgec_Red                  xge_palette[354]
#define xgec_Red1                 xge_palette[355]
#define xgec_Red2                 xge_palette[356]
#define xgec_Red3                 xge_palette[357]
#define xgec_Red4                 xge_palette[358]
#define xgec_Red5                 xge_palette[359]
#define xgec_Red6                 xge_palette[360]
#define xgec_Red7                 xge_palette[361]
#define xgec_RosyBrown            xge_palette[362]
#define xgec_RosyBrown1           xge_palette[363]
#define xgec_RosyBrown2           xge_palette[364]
#define xgec_RosyBrown3           xge_palette[365]
#define xgec_RosyBrown4           xge_palette[366]
#define xgec_RoyalBlue            xge_palette[367]
#define xgec_RoyalBlue1           xge_palette[368]
#define xgec_RoyalBlue2           xge_palette[369]
#define xgec_RoyalBlue3           xge_palette[370]
#define xgec_RoyalBlue4           xge_palette[371]
#define xgec_SaddleBrown          xge_palette[372]
#define xgec_Salmon               xge_palette[373]
#define xgec_Salmon1              xge_palette[374]
#define xgec_Salmon2              xge_palette[375]
#define xgec_Salmon3              xge_palette[376]
#define xgec_Salmon4              xge_palette[377]
#define xgec_SandyBrown           xge_palette[378]
#define xgec_SeaGreen             xge_palette[379]
#define xgec_SeaGreen1            xge_palette[380]
#define xgec_SeaGreen2            xge_palette[381]
#define xgec_SeaGreen3            xge_palette[382]
#define xgec_SeaGreen4            xge_palette[383]
#define xgec_Seashell             xge_palette[384]
#define xgec_Seashell1            xge_palette[385]
#define xgec_Seashell2            xge_palette[386]
#define xgec_Seashell3            xge_palette[387]
#define xgec_Seashell4            xge_palette[388]
#define xgec_Sienna               xge_palette[389]
#define xgec_Sienna1              xge_palette[390]
#define xgec_Sienna2              xge_palette[391]
#define xgec_Sienna3              xge_palette[392]
#define xgec_Sienna4              xge_palette[393]
#define xgec_SkyBlue              xge_palette[394]
#define xgec_SkyBlue1             xge_palette[395]
#define xgec_SkyBlue2             xge_palette[396]
#define xgec_SkyBlue3             xge_palette[397]
#define xgec_SkyBlue4             xge_palette[398]
#define xgec_SlateBlue            xge_palette[399]
#define xgec_SlateBlue1           xge_palette[400]
#define xgec_SlateBlue2           xge_palette[401]
#define xgec_SlateBlue3           xge_palette[402]
#define xgec_SlateBlue4           xge_palette[403]
#define xgec_SlateGrey            xge_palette[404]
#define xgec_SlateGrey1           xge_palette[405]
#define xgec_SlateGrey2           xge_palette[406]
#define xgec_SlateGrey3           xge_palette[407]
#define xgec_SlateGrey4           xge_palette[408]
#define xgec_Snow                 xge_palette[409]
#define xgec_Snow1                xge_palette[410]
#define xgec_Snow2                xge_palette[411]
#define xgec_Snow3                xge_palette[412]
#define xgec_Snow4                xge_palette[413]
#define xgec_SpringGreen          xge_palette[414]
#define xgec_SpringGreen1         xge_palette[415]
#define xgec_SpringGreen2         xge_palette[416]
#define xgec_SpringGreen3         xge_palette[417]
#define xgec_SpringGreen4         xge_palette[418]
#define xgec_SteelBlue            xge_palette[419]
#define xgec_SteelBlue1           xge_palette[420]
#define xgec_SteelBlue2           xge_palette[421]
#define xgec_SteelBlue3           xge_palette[422]
#define xgec_SteelBlue4           xge_palette[423]
#define xgec_Tan                  xge_palette[424]
#define xgec_Tan1                 xge_palette[425]
#define xgec_Tan2                 xge_palette[426]
#define xgec_Tan3                 xge_palette[427]
#define xgec_Tan4                 xge_palette[428]
#define xgec_Thistle              xge_palette[429]
#define xgec_Thistle1             xge_palette[430]
#define xgec_Thistle2             xge_palette[431]
#define xgec_Thistle3             xge_palette[432]
#define xgec_Thistle4             xge_palette[433]
#define xgec_Tomato               xge_palette[434]
#define xgec_Tomato1              xge_palette[435]
#define xgec_Tomato2              xge_palette[436]
#define xgec_Tomato3              xge_palette[437]
#define xgec_Tomato4              xge_palette[438]
#define xgec_Turquoise            xge_palette[439]
#define xgec_Turquoise1           xge_palette[440]
#define xgec_Turquoise2           xge_palette[441]
#define xgec_Turquoise3           xge_palette[442]
#define xgec_Turquoise4           xge_palette[443]
#define xgec_Violet               xge_palette[444]
#define xgec_VioletRed            xge_palette[445]
#define xgec_VioletRed1           xge_palette[446]
#define xgec_VioletRed2           xge_palette[447]
#define xgec_VioletRed3           xge_palette[448]
#define xgec_VioletRed4           xge_palette[449]
#define xgec_Wheat                xge_palette[450]
#define xgec_Wheat1               xge_palette[451]
#define xgec_Wheat2               xge_palette[452]
#define xgec_Wheat3               xge_palette[453]
#define xgec_Wheat4               xge_palette[454]
#define xgec_White                xge_palette[455]
#define xgec_WhiteSmoke           xge_palette[456]
#define xgec_Yellow               xge_palette[457]
#define xgec_Yellow1              xge_palette[458]
#define xgec_Yellow2              xge_palette[459]
#define xgec_Yellow3              xge_palette[460]
#define xgec_Yellow4              xge_palette[461]
#define xgec_YellowGreen          xge_palette[462]

#define XGE_PALETTE_LENGTH 463
#endif

