
/* ///////////////////////////////////////////////////////////////////////// */
/* This file is a part of the BSTools package                                */
/* written by Przemyslaw Kiciak                                              */
/* ///////////////////////////////////////////////////////////////////////// */
/* (C) Copyright by Przemyslaw Kiciak, 2008                                  */
/* this package is distributed under the terms of the                        */
/* Lesser GNU Public License, see the file COPYING.LIB                       */
/* ///////////////////////////////////////////////////////////////////////// */

#ifndef XGLERGB_H
#define XGLERGB_H

/* The colour names are taken from the file rgb.txt of X. */
/* The numbers below must match with the entries of the   */
/* palette declared in the file xglergb.c. */

#define xglec_AliceBlue            xgle_palette[0]
#define xglec_AntiqueWhite         xgle_palette[1]
#define xglec_AntiqueWhite1        xgle_palette[2]
#define xglec_AntiqueWhite2        xgle_palette[3]
#define xglec_AntiqueWhite3        xgle_palette[4]
#define xglec_AntiqueWhite4        xgle_palette[5]
#define xglec_Aquamarine           xgle_palette[6]
#define xglec_Aquamarine1          xgle_palette[7]
#define xglec_Aquamarine2          xgle_palette[8]
#define xglec_Aquamarine3          xgle_palette[9]
#define xglec_Aquamarine4          xgle_palette[10]
#define xglec_Azure                xgle_palette[11]
#define xglec_Azure1               xgle_palette[12]
#define xglec_Azure2               xgle_palette[13]
#define xglec_Azure3               xgle_palette[14]
#define xglec_Azure4               xgle_palette[15]
#define xglec_Beige                xgle_palette[16]
#define xglec_Bisque               xgle_palette[17]
#define xglec_Bisque1              xgle_palette[18]
#define xglec_Bisque2              xgle_palette[19]
#define xglec_Bisque3              xgle_palette[20]
#define xglec_Bisque4              xgle_palette[21]
#define xglec_Black                xgle_palette[22]
#define xglec_BlanchedAlmond       xgle_palette[23]
#define xglec_Blue                 xgle_palette[24]
#define xglec_Blue1                xgle_palette[25]
#define xglec_Blue2                xgle_palette[26]
#define xglec_Blue3                xgle_palette[27]
#define xglec_Blue4                xgle_palette[28]
#define xglec_Blue5                xgle_palette[29]
#define xglec_Blue6                xgle_palette[30]
#define xglec_Blue7                xgle_palette[31]
#define xglec_BlueViolet           xgle_palette[32]
#define xglec_Brown                xgle_palette[33]
#define xglec_Brown1               xgle_palette[34]
#define xglec_Brown2               xgle_palette[35]
#define xglec_Brown3               xgle_palette[36]
#define xglec_Brown4               xgle_palette[37]
#define xglec_Burlywood            xgle_palette[38]
#define xglec_Burlywood1           xgle_palette[39]
#define xglec_Burlywood2           xgle_palette[40]
#define xglec_Burlywood3           xgle_palette[41]
#define xglec_Burlywood4           xgle_palette[42]
#define xglec_CadetBlue            xgle_palette[43]
#define xglec_CadetBlue1           xgle_palette[44]
#define xglec_CadetBlue2           xgle_palette[45]
#define xglec_CadetBlue3           xgle_palette[46]
#define xglec_CadetBlue4           xgle_palette[47]
#define xglec_Chartreuse           xgle_palette[48]
#define xglec_Chartreuse1          xgle_palette[49]
#define xglec_Chartreuse2          xgle_palette[50]
#define xglec_Chartreuse3          xgle_palette[51]
#define xglec_Chartreuse4          xgle_palette[52]
#define xglec_Chocolate            xgle_palette[53]
#define xglec_Chocolate1           xgle_palette[54]
#define xglec_Chocolate2           xgle_palette[55]
#define xglec_Chocolate3           xgle_palette[56]
#define xglec_Chocolate4           xgle_palette[57]
#define xglec_Coral                xgle_palette[58]
#define xglec_Coral1               xgle_palette[59]
#define xglec_Coral2               xgle_palette[60]
#define xglec_Coral3               xgle_palette[61]
#define xglec_Coral4               xgle_palette[62]
#define xglec_CornflowerBlue       xgle_palette[63]
#define xglec_Cornsilk             xgle_palette[64]
#define xglec_Cornsilk1            xgle_palette[65]
#define xglec_Cornsilk2            xgle_palette[66]
#define xglec_Cornsilk3            xgle_palette[67]
#define xglec_Cornsilk4            xgle_palette[68]
#define xglec_Cyan                 xgle_palette[69]
#define xglec_Cyan1                xgle_palette[70]
#define xglec_Cyan2                xgle_palette[71]
#define xglec_Cyan3                xgle_palette[72]
#define xglec_Cyan4                xgle_palette[73]
#define xglec_DarkBlue             xgle_palette[74]
#define xglec_DarkCyan             xgle_palette[75]
#define xglec_DarkGoldenrod        xgle_palette[76]
#define xglec_DarkGoldenrod1       xgle_palette[77]
#define xglec_DarkGoldenrod2       xgle_palette[78]
#define xglec_DarkGoldenrod3       xgle_palette[79]
#define xglec_DarkGoldenrod4       xgle_palette[80]
#define xglec_DarkGreen            xgle_palette[81]
#define xglec_DarkGrey             xgle_palette[82]
#define xglec_DarkKhaki            xgle_palette[83]
#define xglec_DarkMagenta          xgle_palette[84]
#define xglec_DarkOliveGreen       xgle_palette[85]
#define xglec_DarkOliveGreen1      xgle_palette[86]
#define xglec_DarkOliveGreen2      xgle_palette[87]
#define xglec_DarkOliveGreen3      xgle_palette[88]
#define xglec_DarkOliveGreen4      xgle_palette[89]
#define xglec_DarkOrange           xgle_palette[90]
#define xglec_DarkOrange1          xgle_palette[91]
#define xglec_DarkOrange2          xgle_palette[92]
#define xglec_DarkOrange3          xgle_palette[93]
#define xglec_DarkOrange4          xgle_palette[94]
#define xglec_DarkOrchid           xgle_palette[95]
#define xglec_DarkOrchid1          xgle_palette[96]
#define xglec_DarkOrchid2          xgle_palette[97]
#define xglec_DarkOrchid3          xgle_palette[98]
#define xglec_DarkOrchid4          xgle_palette[99]
#define xglec_DarkRed              xgle_palette[100]
#define xglec_DarkSalmon           xgle_palette[101]
#define xglec_DarkSeaGreen         xgle_palette[102]
#define xglec_DarkSeaGreen1        xgle_palette[103]
#define xglec_DarkSeaGreen2        xgle_palette[104]
#define xglec_DarkSeaGreen3        xgle_palette[105]
#define xglec_DarkSeaGreen4        xgle_palette[106]
#define xglec_DarkSlateBlue        xgle_palette[107]
#define xglec_DarkSlateGrey        xgle_palette[108]
#define xglec_DarkSlateGrey1       xgle_palette[109]
#define xglec_DarkSlateGrey2       xgle_palette[110]
#define xglec_DarkSlateGrey3       xgle_palette[111]
#define xglec_DarkSlateGrey4       xgle_palette[112]
#define xglec_DarkTurquoise        xgle_palette[113]
#define xglec_DarkViolet           xgle_palette[114]
#define xglec_DeepPink             xgle_palette[115]
#define xglec_DeepPink1            xgle_palette[116]
#define xglec_DeepPink2            xgle_palette[117]
#define xglec_DeepPink3            xgle_palette[118]
#define xglec_DeepPink4            xgle_palette[119]
#define xglec_DeepSkyBlue          xgle_palette[120]
#define xglec_DeepSkyBlue1         xgle_palette[121]
#define xglec_DeepSkyBlue2         xgle_palette[122]
#define xglec_DeepSkyBlue3         xgle_palette[123]
#define xglec_DeepSkyBlue4         xgle_palette[124]
#define xglec_DimGrey              xgle_palette[125]
#define xglec_DodgerBlue           xgle_palette[126]
#define xglec_DodgerBlue1          xgle_palette[127]
#define xglec_DodgerBlue2          xgle_palette[128]
#define xglec_DodgerBlue3          xgle_palette[129]
#define xglec_DodgerBlue4          xgle_palette[130]
#define xglec_Firebrick            xgle_palette[131]
#define xglec_Firebrick1           xgle_palette[132]
#define xglec_Firebrick2           xgle_palette[133]
#define xglec_Firebrick3           xgle_palette[134]
#define xglec_Firebrick4           xgle_palette[135]
#define xglec_FloralWhite          xgle_palette[136]
#define xglec_ForestGreen          xgle_palette[137]
#define xglec_Gainsboro            xgle_palette[138]
#define xglec_GhostWhite           xgle_palette[139]
#define xglec_Gold                 xgle_palette[140]
#define xglec_Gold1                xgle_palette[141]
#define xglec_Gold2                xgle_palette[142]
#define xglec_Gold3                xgle_palette[143]
#define xglec_Gold4                xgle_palette[144]
#define xglec_Goldenrod            xgle_palette[145]
#define xglec_Goldenrod1           xgle_palette[146]
#define xglec_Goldenrod2           xgle_palette[147]
#define xglec_Goldenrod3           xgle_palette[148]
#define xglec_Goldenrod4           xgle_palette[149]
#define xglec_Green                xgle_palette[150]
#define xglec_Green1               xgle_palette[151]
#define xglec_Green2               xgle_palette[152]
#define xglec_Green3               xgle_palette[153]
#define xglec_Green4               xgle_palette[154]
#define xglec_Green5               xgle_palette[155]
#define xglec_Green6               xgle_palette[156]
#define xglec_Green7               xgle_palette[157]
#define xglec_GreenYellow          xgle_palette[158]
#define xglec_Grey                 xgle_palette[159]
#define xglec_Grey1                xgle_palette[160]
#define xglec_Grey2                xgle_palette[161]
#define xglec_Grey3                xgle_palette[162]
#define xglec_Grey4                xgle_palette[163]
#define xglec_Grey5                xgle_palette[164]
#define xglec_Grey6                xgle_palette[165]
#define xglec_Grey7                xgle_palette[166]
#define xglec_Honeydew             xgle_palette[167]
#define xglec_Honeydew1            xgle_palette[168]
#define xglec_Honeydew2            xgle_palette[169]
#define xglec_Honeydew3            xgle_palette[170]
#define xglec_Honeydew4            xgle_palette[171]
#define xglec_HotPink              xgle_palette[172]
#define xglec_HotPink1             xgle_palette[173]
#define xglec_HotPink2             xgle_palette[174]
#define xglec_HotPink3             xgle_palette[175]
#define xglec_HotPink4             xgle_palette[176]
#define xglec_IndianRed            xgle_palette[177]
#define xglec_IndianRed1           xgle_palette[178]
#define xglec_IndianRed2           xgle_palette[179]
#define xglec_IndianRed3           xgle_palette[180]
#define xglec_IndianRed4           xgle_palette[181]
#define xglec_Ivory                xgle_palette[182]
#define xglec_Ivory1               xgle_palette[183]
#define xglec_Ivory2               xgle_palette[184]
#define xglec_Ivory3               xgle_palette[185]
#define xglec_Ivory4               xgle_palette[186]
#define xglec_Khaki                xgle_palette[187]
#define xglec_Khaki1               xgle_palette[188]
#define xglec_Khaki2               xgle_palette[189]
#define xglec_Khaki3               xgle_palette[190]
#define xglec_Khaki4               xgle_palette[191]
#define xglec_Lavender             xgle_palette[192]
#define xglec_LavenderBlush        xgle_palette[193]
#define xglec_LavenderBlush1       xgle_palette[194]
#define xglec_LavenderBlush2       xgle_palette[195]
#define xglec_LavenderBlush3       xgle_palette[196]
#define xglec_LavenderBlush4       xgle_palette[197]
#define xglec_LawnGreen            xgle_palette[198]
#define xglec_LemonChiffon         xgle_palette[199]
#define xglec_LemonChiffon1        xgle_palette[200]
#define xglec_LemonChiffon2        xgle_palette[201]
#define xglec_LemonChiffon3        xgle_palette[202]
#define xglec_LemonChiffon4        xgle_palette[203]
#define xglec_LightBlue            xgle_palette[204]
#define xglec_LightBlue1           xgle_palette[205]
#define xglec_LightBlue2           xgle_palette[206]
#define xglec_LightBlue3           xgle_palette[207]
#define xglec_LightBlue4           xgle_palette[208]
#define xglec_LightCoral           xgle_palette[209]
#define xglec_LightCyan            xgle_palette[210]
#define xglec_LightCyan1           xgle_palette[211]
#define xglec_LightCyan2           xgle_palette[212]
#define xglec_LightCyan3           xgle_palette[213]
#define xglec_LightCyan4           xgle_palette[214]
#define xglec_LightGoldenrod       xgle_palette[215]
#define xglec_LightGoldenrod1      xgle_palette[216]
#define xglec_LightGoldenrod2      xgle_palette[217]
#define xglec_LightGoldenrod3      xgle_palette[218]
#define xglec_LightGoldenrod4      xgle_palette[219]
#define xglec_LightGoldenrodYellow xgle_palette[220]
#define xglec_LightGreen           xgle_palette[221]
#define xglec_LightGrey            xgle_palette[222]
#define xglec_LightPink            xgle_palette[223]
#define xglec_LightPink1           xgle_palette[224]
#define xglec_LightPink2           xgle_palette[225]
#define xglec_LightPink3           xgle_palette[226]
#define xglec_LightPink4           xgle_palette[227]
#define xglec_LightSalmon          xgle_palette[228]
#define xglec_LightSalmon1         xgle_palette[229]
#define xglec_LightSalmon2         xgle_palette[230]
#define xglec_LightSalmon3         xgle_palette[231]
#define xglec_LightSalmon4         xgle_palette[232]
#define xglec_LightSeaGreen        xgle_palette[233]
#define xglec_LightSkyBlue         xgle_palette[234]
#define xglec_LightSkyBlue1        xgle_palette[235]
#define xglec_LightSkyBlue2        xgle_palette[236]
#define xglec_LightSkyBlue3        xgle_palette[237]
#define xglec_LightSkyBlue4        xgle_palette[238]
#define xglec_LightSlateBlue       xgle_palette[239]
#define xglec_LightSlateGrey       xgle_palette[240]
#define xglec_LightSteelBlue       xgle_palette[241]
#define xglec_LightSteelBlue1      xgle_palette[242]
#define xglec_LightSteelBlue2      xgle_palette[243]
#define xglec_LightSteelBlue3      xgle_palette[244]
#define xglec_LightSteelBlue4      xgle_palette[245]
#define xglec_LightYellow          xgle_palette[246]
#define xglec_LightYellow1         xgle_palette[247]
#define xglec_LightYellow2         xgle_palette[248]
#define xglec_LightYellow3         xgle_palette[249]
#define xglec_LightYellow4         xgle_palette[250]
#define xglec_LimeGreen            xgle_palette[251]
#define xglec_Linen                xgle_palette[252]
#define xglec_Magenta              xgle_palette[253]
#define xglec_Magenta1             xgle_palette[254]
#define xglec_Magenta2             xgle_palette[255]
#define xglec_Magenta3             xgle_palette[256]
#define xglec_Magenta4             xgle_palette[257]
#define xglec_Maroon               xgle_palette[258]
#define xglec_Maroon1              xgle_palette[259]
#define xglec_Maroon2              xgle_palette[260]
#define xglec_Maroon3              xgle_palette[261]
#define xglec_Maroon4              xgle_palette[262]
#define xglec_MediumAquamarine     xgle_palette[263]
#define xglec_MediumBlue           xgle_palette[264]
#define xglec_MediumOrchid         xgle_palette[265]
#define xglec_MediumOrchid1        xgle_palette[266]
#define xglec_MediumOrchid2        xgle_palette[267]
#define xglec_MediumOrchid3        xgle_palette[268]
#define xglec_MediumOrchid4        xgle_palette[269]
#define xglec_MediumPurple         xgle_palette[270]
#define xglec_MediumPurple1        xgle_palette[271]
#define xglec_MediumPurple2        xgle_palette[272]
#define xglec_MediumPurple3        xgle_palette[273]
#define xglec_MediumPurple4        xgle_palette[274]
#define xglec_MediumSeaGreen       xgle_palette[275]
#define xglec_MediumSlateBlue      xgle_palette[276]
#define xglec_MediumSpringGreen    xgle_palette[277]
#define xglec_MediumTurquoise      xgle_palette[278]
#define xglec_MediumVioletRed      xgle_palette[279]
#define xglec_MidnightBlue         xgle_palette[280]
#define xglec_MintCream            xgle_palette[281]
#define xglec_MistyRose            xgle_palette[282]
#define xglec_MistyRose1           xgle_palette[283]
#define xglec_MistyRose2           xgle_palette[284]
#define xglec_MistyRose3           xgle_palette[285]
#define xglec_MistyRose4           xgle_palette[286]
#define xglec_Moccasin             xgle_palette[287]
#define xglec_NavajoWhite          xgle_palette[288]
#define xglec_NavajoWhite1         xgle_palette[289]
#define xglec_NavajoWhite2         xgle_palette[290]
#define xglec_NavajoWhite3         xgle_palette[291]
#define xglec_NavajoWhite4         xgle_palette[292]
#define xglec_NavyBlue             xgle_palette[293]
#define xglec_OldLace              xgle_palette[294]
#define xglec_OliveDrab            xgle_palette[295]
#define xglec_OliveDrab1           xgle_palette[296]
#define xglec_OliveDrab2           xgle_palette[297]
#define xglec_OliveDrab3           xgle_palette[298]
#define xglec_OliveDrab4           xgle_palette[299]
#define xglec_Orange               xgle_palette[300]
#define xglec_Orange1              xgle_palette[301]
#define xglec_Orange2              xgle_palette[302]
#define xglec_Orange3              xgle_palette[303]
#define xglec_Orange4              xgle_palette[304]
#define xglec_OrangeRed            xgle_palette[305]
#define xglec_OrangeRed1           xgle_palette[306]
#define xglec_OrangeRed2           xgle_palette[307]
#define xglec_OrangeRed3           xgle_palette[308]
#define xglec_OrangeRed4           xgle_palette[309]
#define xglec_Orchid               xgle_palette[310]
#define xglec_Orchid1              xgle_palette[311]
#define xglec_Orchid2              xgle_palette[312]
#define xglec_Orchid3              xgle_palette[313]
#define xglec_Orchid4              xgle_palette[314]
#define xglec_PaleGoldenrod        xgle_palette[315]
#define xglec_PaleGreen            xgle_palette[316]
#define xglec_PaleGreen1           xgle_palette[317]
#define xglec_PaleGreen2           xgle_palette[318]
#define xglec_PaleGreen3           xgle_palette[319]
#define xglec_PaleGreen4           xgle_palette[320]
#define xglec_PaleTurquoise        xgle_palette[321]
#define xglec_PaleTurquoise1       xgle_palette[322]
#define xglec_PaleTurquoise2       xgle_palette[323]
#define xglec_PaleTurquoise3       xgle_palette[324]
#define xglec_PaleTurquoise4       xgle_palette[325]
#define xglec_PaleVioletRed        xgle_palette[326]
#define xglec_PaleVioletRed1       xgle_palette[327]
#define xglec_PaleVioletRed2       xgle_palette[328]
#define xglec_PaleVioletRed3       xgle_palette[329]
#define xglec_PaleVioletRed4       xgle_palette[330]
#define xglec_PapayaWhip           xgle_palette[331]
#define xglec_PeachPuff            xgle_palette[332]
#define xglec_PeachPuff1           xgle_palette[333]
#define xglec_PeachPuff2           xgle_palette[334]
#define xglec_PeachPuff3           xgle_palette[335]
#define xglec_PeachPuff4           xgle_palette[336]
#define xglec_Peru                 xgle_palette[337]
#define xglec_Pink                 xgle_palette[338]
#define xglec_Pink1                xgle_palette[339]
#define xglec_Pink2                xgle_palette[340]
#define xglec_Pink3                xgle_palette[341]
#define xglec_Pink4                xgle_palette[342]
#define xglec_Plum                 xgle_palette[343]
#define xglec_Plum1                xgle_palette[344]
#define xglec_Plum2                xgle_palette[345]
#define xglec_Plum3                xgle_palette[346]
#define xglec_Plum4                xgle_palette[347]
#define xglec_PowderBlue           xgle_palette[348]
#define xglec_Purple               xgle_palette[349]
#define xglec_Purple1              xgle_palette[350]
#define xglec_Purple2              xgle_palette[351]
#define xglec_Purple3              xgle_palette[352]
#define xglec_Purple4              xgle_palette[353]
#define xglec_Red                  xgle_palette[354]
#define xglec_Red1                 xgle_palette[355]
#define xglec_Red2                 xgle_palette[356]
#define xglec_Red3                 xgle_palette[357]
#define xglec_Red4                 xgle_palette[358]
#define xglec_Red5                 xgle_palette[359]
#define xglec_Red6                 xgle_palette[360]
#define xglec_Red7                 xgle_palette[361]
#define xglec_RosyBrown            xgle_palette[362]
#define xglec_RosyBrown1           xgle_palette[363]
#define xglec_RosyBrown2           xgle_palette[364]
#define xglec_RosyBrown3           xgle_palette[365]
#define xglec_RosyBrown4           xgle_palette[366]
#define xglec_RoyalBlue            xgle_palette[367]
#define xglec_RoyalBlue1           xgle_palette[368]
#define xglec_RoyalBlue2           xgle_palette[369]
#define xglec_RoyalBlue3           xgle_palette[370]
#define xglec_RoyalBlue4           xgle_palette[371]
#define xglec_SaddleBrown          xgle_palette[372]
#define xglec_Salmon               xgle_palette[373]
#define xglec_Salmon1              xgle_palette[374]
#define xglec_Salmon2              xgle_palette[375]
#define xglec_Salmon3              xgle_palette[376]
#define xglec_Salmon4              xgle_palette[377]
#define xglec_SandyBrown           xgle_palette[378]
#define xglec_SeaGreen             xgle_palette[379]
#define xglec_SeaGreen1            xgle_palette[380]
#define xglec_SeaGreen2            xgle_palette[381]
#define xglec_SeaGreen3            xgle_palette[382]
#define xglec_SeaGreen4            xgle_palette[383]
#define xglec_Seashell             xgle_palette[384]
#define xglec_Seashell1            xgle_palette[385]
#define xglec_Seashell2            xgle_palette[386]
#define xglec_Seashell3            xgle_palette[387]
#define xglec_Seashell4            xgle_palette[388]
#define xglec_Sienna               xgle_palette[389]
#define xglec_Sienna1              xgle_palette[390]
#define xglec_Sienna2              xgle_palette[391]
#define xglec_Sienna3              xgle_palette[392]
#define xglec_Sienna4              xgle_palette[393]
#define xglec_SkyBlue              xgle_palette[394]
#define xglec_SkyBlue1             xgle_palette[395]
#define xglec_SkyBlue2             xgle_palette[396]
#define xglec_SkyBlue3             xgle_palette[397]
#define xglec_SkyBlue4             xgle_palette[398]
#define xglec_SlateBlue            xgle_palette[399]
#define xglec_SlateBlue1           xgle_palette[400]
#define xglec_SlateBlue2           xgle_palette[401]
#define xglec_SlateBlue3           xgle_palette[402]
#define xglec_SlateBlue4           xgle_palette[403]
#define xglec_SlateGrey            xgle_palette[404]
#define xglec_SlateGrey1           xgle_palette[405]
#define xglec_SlateGrey2           xgle_palette[406]
#define xglec_SlateGrey3           xgle_palette[407]
#define xglec_SlateGrey4           xgle_palette[408]
#define xglec_Snow                 xgle_palette[409]
#define xglec_Snow1                xgle_palette[410]
#define xglec_Snow2                xgle_palette[411]
#define xglec_Snow3                xgle_palette[412]
#define xglec_Snow4                xgle_palette[413]
#define xglec_SpringGreen          xgle_palette[414]
#define xglec_SpringGreen1         xgle_palette[415]
#define xglec_SpringGreen2         xgle_palette[416]
#define xglec_SpringGreen3         xgle_palette[417]
#define xglec_SpringGreen4         xgle_palette[418]
#define xglec_SteelBlue            xgle_palette[419]
#define xglec_SteelBlue1           xgle_palette[420]
#define xglec_SteelBlue2           xgle_palette[421]
#define xglec_SteelBlue3           xgle_palette[422]
#define xglec_SteelBlue4           xgle_palette[423]
#define xglec_Tan                  xgle_palette[424]
#define xglec_Tan1                 xgle_palette[425]
#define xglec_Tan2                 xgle_palette[426]
#define xglec_Tan3                 xgle_palette[427]
#define xglec_Tan4                 xgle_palette[428]
#define xglec_Thistle              xgle_palette[429]
#define xglec_Thistle1             xgle_palette[430]
#define xglec_Thistle2             xgle_palette[431]
#define xglec_Thistle3             xgle_palette[432]
#define xglec_Thistle4             xgle_palette[433]
#define xglec_Tomato               xgle_palette[434]
#define xglec_Tomato1              xgle_palette[435]
#define xglec_Tomato2              xgle_palette[436]
#define xglec_Tomato3              xgle_palette[437]
#define xglec_Tomato4              xgle_palette[438]
#define xglec_Turquoise            xgle_palette[439]
#define xglec_Turquoise1           xgle_palette[440]
#define xglec_Turquoise2           xgle_palette[441]
#define xglec_Turquoise3           xgle_palette[442]
#define xglec_Turquoise4           xgle_palette[443]
#define xglec_Violet               xgle_palette[444]
#define xglec_VioletRed            xgle_palette[445]
#define xglec_VioletRed1           xgle_palette[446]
#define xglec_VioletRed2           xgle_palette[447]
#define xglec_VioletRed3           xgle_palette[448]
#define xglec_VioletRed4           xgle_palette[449]
#define xglec_Wheat                xgle_palette[450]
#define xglec_Wheat1               xgle_palette[451]
#define xglec_Wheat2               xgle_palette[452]
#define xglec_Wheat3               xgle_palette[453]
#define xglec_Wheat4               xgle_palette[454]
#define xglec_White                xgle_palette[455]
#define xglec_WhiteSmoke           xgle_palette[456]
#define xglec_Yellow               xgle_palette[457]
#define xglec_Yellow1              xgle_palette[458]
#define xglec_Yellow2              xgle_palette[459]
#define xglec_Yellow3              xgle_palette[460]
#define xglec_Yellow4              xgle_palette[461]
#define xglec_YellowGreen          xgle_palette[462]

#define XGLE_PALETTE_LENGTH XGE_PALETTE_LENGTH
#endif

