
/* ///////////////////////////////////////////////////////////////////////// */
/* This file is a part of the BSTools package                                */
/* written by Przemyslaw Kiciak                                              */
/* ///////////////////////////////////////////////////////////////////////// */
/* (C) Copyright by Przemyslaw Kiciak, 2009, 2016                            */
/* this package is distributed under the terms of the                        */
/* Lesser GNU Public License, see the file COPYING.LIB                       */
/* ///////////////////////////////////////////////////////////////////////// */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <malloc.h>
#include <string.h>
#include <ctype.h>

#include "pkvaria.h"
#include "pknum.h"
#include "pkgeom.h"
#include "camerad.h"
#include "multibs.h"
#include "pkscanner.h"
#include "bsfile.h"

#include "bsfprivate.h"

/* ///////////////////////////////////////////////////////////////////////// */
boolean bsf_OpenOutputFile ( char *filename, boolean append,
                             bsf_Writer *writer )
{
  if ( append )
    writer->output = fopen ( filename, "a+" );
  else
    writer->output = fopen ( filename, "w+" );
  if ( !writer->output )
    return false;
  writer->newline = true;
  writer->current_length = 0;
  writer->current_indentation = 0;
  return true;
} /*bsf_OpenOutputFile*/

void bsf_CloseOutputFile ( bsf_Writer *writer )
{
  if ( writer->output ) {
    fclose ( writer->output );
    writer->output = NULL;
  }
} /*bsf_CloseOutputFile*/

