
/* ///////////////////////////////////////////////////////////////////////// */
/* This file is a part of the BSTools package                                */
/* written by Przemyslaw Kiciak                                              */
/* ///////////////////////////////////////////////////////////////////////// */
/* (C) Copyright by Przemyslaw Kiciak, 2009, 2017                            */
/* this package is distributed under the terms of the                        */
/* Lesser GNU Public License, see the file COPYING.LIB                       */
/* ///////////////////////////////////////////////////////////////////////// */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <malloc.h>
#include <string.h>
#include <ctype.h>

#include "pkvaria.h"
#include "pknum.h"
#include "pkgeom.h"
#include "camerad.h"
#include "multibs.h"
#include "pkscanner.h"
#include "bsfile.h"

#include "bsfprivate.h"

void bsf_WriteSpaceDim ( bsf_Writer *writer, int spdimen, boolean rational )
{
  BSFwci
  writer->current_length +=
          fprintf ( writer->output, "%s %d",
                    bsf_keyword[BSF_KEY_DIM], spdimen );
  if ( rational )
    writer->current_length +=
          fprintf ( writer->output, " %s",
                    bsf_keyword[BSF_KEY_RATIONAL] );
  BSFeol
} /*bsf_WriteSpaceDim*/

void bsf_WriteCurveDegree ( bsf_Writer *writer, int degree )
{
  BSFwci
  writer->current_length +=
          fprintf ( writer->output, "%s %d",
                    bsf_keyword[BSF_KEY_DEGREE], degree );
  BSFeol
} /*bsf_WriteCurveDegree*/

void bsf_WritePatchDegree ( bsf_Writer *writer, int udeg, int vdeg )
{
  BSFwci
  writer->current_length +=
          fprintf ( writer->output, "%s %d %d",
                    bsf_keyword[BSF_KEY_DEGREE], udeg, vdeg );
  BSFeol
} /*bsf_WritePatchDegree*/

void bsf_WriteIdent ( bsf_Writer *writer, int ident )
{
  if ( ident >= 0 ) {
    BSFwci
    writer->current_length +=
          fprintf ( writer->output, "%s %d",
                    bsf_keyword[BSF_KEY_IDENT], ident );
    BSFeol
  }
} /*bsf_WriteIdent*/

