
/* ///////////////////////////////////////////////////////////////////////// */
/* This file is a part of the BSTools package                                */
/* written by Przemyslaw Kiciak                                              */
/* ///////////////////////////////////////////////////////////////////////// */
/* (C) Copyright by Przemyslaw Kiciak, 2017                                  */
/* this package is distributed under the terms of the                        */
/* Lesser GNU Public License, see the file COPYING.LIB                       */
/* ///////////////////////////////////////////////////////////////////////// */

#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <math.h>

#include "pkvaria.h"
#include "pknum.h"
#include "pkgeom.h"
#include "pklinkage.h"

/* ///////////////////////////////////////////////////////////////////////// */
void pkkl_SetJointFtr ( pkkl_linkage *linkage, int jn,
                        trans3d *tr, boolean back )
{
  pkkl_halfjoint *hj, *hj1;

  if ( jn < 0 || jn >= linkage->nhj )
    return;
  hj = &linkage->hj[jn];
  hj1 = &linkage->hj[hj->otherhalf];
  memcpy ( &hj->Ftr, tr, sizeof(trans3d) );
  memcpy ( &hj1->Btr, tr, sizeof(trans3d) );
  InvertTrans3d ( &hj1->Btr );
  if ( back ) {
    memcpy ( &hj->Btr, &hj1->Btr, sizeof(trans3d) );
    memcpy ( &hj1->Ftr, &hj->Ftr, sizeof(trans3d) );
  }
} /*pkkl_SetJointFtr*/

void pkkl_SetJointBtr ( pkkl_linkage *linkage, int jn,
                        trans3d *tr, boolean front )
{
  pkkl_halfjoint *hj, *hj1;

  if ( jn < 0 || jn >= linkage->nhj )
    return;
  hj = &linkage->hj[jn];
  hj1 = &linkage->hj[hj->otherhalf];
  memcpy ( &hj->Btr, tr, sizeof(trans3d) );
  memcpy ( &hj1->Ftr, tr, sizeof(trans3d) );
  InvertTrans3d ( &hj1->Ftr );
  if ( front ) {
    memcpy ( &hj->Ftr, &hj1->Ftr, sizeof(trans3d) );
    memcpy ( &hj1->Btr, &hj->Btr, sizeof(trans3d) );
  }
} /*pkkl_SetJointBtr*/

