
/* ///////////////////////////////////////////////////////////////////////// */
/* This file is a part of the BSTools package                                */
/* written by Przemyslaw Kiciak                                              */
/* ///////////////////////////////////////////////////////////////////////// */
/* (C) Copyright by Przemyslaw Kiciak, 2016                                  */
/* this package is distributed under the terms of the                        */
/* Lesser GNU Public License, see the file COPYING.LIB                       */
/* ///////////////////////////////////////////////////////////////////////// */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <malloc.h>
#include <string.h>

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/cursorfont.h>

#include "pkvaria.h"
#include "pknum.h"
#include "pkgeom.h"
#include "camera.h"
#include "xgedit.h"
#include "xgeprivate.h"


static boolean _xge_ColourMenuMsgf ( xge_widget *er, int msg, int key, short x, short y )
{
  xge_widget      *up;
  xge_colourmenuf *cm;

  up = er->up;
  cm = (xge_colourmenuf*)up->data2;
  switch ( msg ) {
case xgemsg_BUTTON_COMMAND:
    switch ( er->id ) {
  case xgeid_CM_BTN_OK:
      xge_RemovePopup ( true );
      return true;
  default:
      break;
    }
    break;

case xgemsg_SLIDEBAR_COMMAND:
    switch ( er->id ) {
  case xgeid_CM_SL_RED:
  case xgeid_CM_SL_GREEN:
  case xgeid_CM_SL_BLUE:
      pkv_RGBtoHSVf ( cm->rgb, cm->hsv );
      goto redraw;
  case xgeid_CM_SL_SAT:
  case xgeid_CM_SL_VALUE:
      goto set_hsv;
  default:
      break;
    }
    break;

case xgemsg_DIAL_COMMAND:
    switch ( er->id ) {
  case xgeid_CM_DIAL_HUE:
set_hsv:
      pkv_HSVtoRGBf ( cm->hsv, cm->rgb );
redraw:
      xge_SetClipping ( up );
      up->redraw ( up, true );
      xge_callback ( up, xgemsg_COLOURMENU_COLOURCHANGE, 0, 0, 0 );
      return true;
  default:
      break;
    }
    break;

default:
    break;
  }
  return false;
} /*_xge_ColourMenuMsgf*/

xge_widget *xge_InitColourMenuf ( char window_num, int id, short x, short y,
                                  xge_colourmenuf *cm, float *rgb )
{
  xge_widget *cmenu;
  xge_widget *wp;

  cm->rgb = rgb;
  wp = xge_NewSlidebarfRGB ( window_num, NULL, xgeid_CM_SL_RED,
                             138, 10, x+20, y+17, &rgb[0], &cm->hsv[0] );
  wp = xge_NewSlidebarfRGB ( window_num, wp, xgeid_CM_SL_GREEN,
                             138, 10, x+20, y+37, &rgb[1], &cm->hsv[0] );
  wp = xge_NewSlidebarfRGB ( window_num, wp, xgeid_CM_SL_BLUE,
                             138, 10, x+20, y+57, &rgb[2], &cm->hsv[0] );
  wp = xge_NewHSVDialf ( window_num, wp, xgeid_CM_DIAL_HUE,
                         x+178, y+84, &cm->hsv[0] );
  wp = xge_NewSlidebarfRGB ( window_num, wp, xgeid_CM_SL_SAT,
                             138, 10, x+20, y+101, &cm->hsv[1], &cm->hsv[0] );
  wp = xge_NewSlidebarfRGB ( window_num, wp, xgeid_CM_SL_VALUE,
                             138, 10, x+20, y+121, &cm->hsv[2], &cm->hsv[0] );
  wp = cm->colour_box = xge_NewRGBSamplef ( window_num, wp, xgeid_CM_CBOX,
                                            64, 64, x+178, y+10, &rgb[0] );
  wp = xge_NewButton ( window_num, wp, xgeid_CM_BTN_OK,
                       60, 18, x+103, y+150, xgetxt_OK );
  cmenu = xge_NewFMenu ( window_num, NULL, id, 262, 180, x, y, wp );
  cmenu->msgproc = xge_PopupMenuMsg;
  cmenu->data2 = cm;
  cmenu->libmsgproc = _xge_ColourMenuMsgf;
  pkv_RGBtoHSVf ( cm->rgb, cm->hsv );
  cm->er = cmenu;
  
  return cmenu;
} /*xge_InitColourMenuf*/

