
/* ///////////////////////////////////////////////////////////////////////// */
/* This file is a part of the BSTools package                                */
/* written by Przemyslaw Kiciak                                              */
/* ///////////////////////////////////////////////////////////////////////// */
/* (C) Copyright by Przemyslaw Kiciak, 2007, 2013                            */
/* this package is distributed under the terms of the                        */
/* Lesser GNU Public License, see the file COPYING.LIB                       */
/* ///////////////////////////////////////////////////////////////////////// */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <malloc.h>
#include <string.h>

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/cursorfont.h>

#include <GL/gl.h>
#include <GL/glx.h>

#include "pkvaria.h"
#include "pknum.h"
#include "pkgeom.h"
#include "camera.h"

#include "xgedit.h"
#define XGLE_OPENGL_OLD
#include "xgledit.h"
#include "xgeprivate.h"


void xgl2e_2DwinfDrawCursorPos ( xge_2Dwinf *_2Dwin, short x, short y )
{
  xge_widget *er;
  char       s[10];
  point2f    p, q;
  int        xx;

  if ( _2Dwin->display_coord ) {
    er = _2Dwin->er;
    xgl2e_SetIdentMapping ( er );
    SetPoint2f ( &p, x, y );
    CameraUnProjectPoint2f ( &_2Dwin->CPos, &p, &q );
    glColor3fv ( xglec_Green5 );
    xgl2eDrawLine ( x, er->y, x, er->y+er->h );
    xgl2eDrawLine ( er->x, y, er->x+er->w, y );
    glColor3fv ( xglec_Green );
    sprintf ( s, "%5.3f", q.x );
    xx = er->x+er->w-strlen(s)*6;
    x = (short)(min ( x+2, xx ));
    xgl2eDrawString ( s, x, er->y+er->h-4 );
    sprintf ( s, "%5.3f", q.y );
    y = (short)(max ( y, er->y+10 ));
    xgl2eDrawString ( s, er->x, y );
  }
} /*xgl2e_2DwinfDrawCursorPos*/

void xgl2e_2DwinfDrawAxes ( xge_2Dwinf *_2Dwin )
{
  xge_widget *er;
  point2f    p, q;

  er = _2Dwin->er;
  SetPoint2f ( &p, 0.0, 0.0 );
  CameraProjectPoint2f ( &_2Dwin->CPos, &p, &q );
  xgl2e_SetIdentMapping ( er );
  glColor3fv ( xglec_Green5 );
  if ( q.x >= er->x && q.x < er->x+er->w )
    xgl2eDrawLine ( q.x, er->y, q.x, er->y+er->h );
  if ( q.y >= er->y && q.y < er->y+er->h )
    xgl2eDrawLine ( er->x, q.y, er->x+er->w, q.y );
} /*xgl2e_2DwinfDrawAxes*/

