
/* ///////////////////////////////////////////////////////////////////////// */
/* This file is a part of the BSTools package                                */
/* written by Przemyslaw Kiciak                                              */
/* ///////////////////////////////////////////////////////////////////////// */
/* (C) Copyright by Przemyslaw Kiciak, 2010, 2017                            */
/* this package is distributed under the terms of the                        */
/* Lesser GNU Public License, see the file COPYING.LIB                       */
/* ///////////////////////////////////////////////////////////////////////// */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <malloc.h>
#include <string.h>

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/cursorfont.h>
#include <GL/gl.h>  
#include <GL/glu.h>
#include <GL/glx.h>

#include "pkvaria.h"
#include "pknum.h"
#include "pkgeom.h"
#include "camera.h"

#define XGLE_OPENGL_OLD
#include "xgledit.h"
#include "xgeprivate.h"

void xgl2eDrawPoint ( int x, int y )
{
  glBegin ( GL_POINTS );
    glVertex2i ( x, y );
  glEnd ();
} /*xgl2eDrawPoint*/

void xgl2eDrawPoints ( int n, XPoint *p )
{
  int i;

  glBegin ( GL_POINTS );
    for ( i = 0; i < n; i++ )
      glVertex2i ( p[i].x, p[i].y );
  glEnd ();
} /*xgl2eDrawPoints*/

void xgl2eDrawLine ( int x0, int y0, int x1, int y1 )
{
  glBegin ( GL_LINES );
    glVertex2i ( x0, y0 );
    glVertex2i ( x1, y1 );
  glEnd ();
} /*xgl2eDrawLine*/

void xgl2eDrawRectangle ( int w, int h, int x, int y )
{
  glBegin ( GL_LINE_LOOP );
    glVertex2i ( x, y );
    glVertex2i ( x+h, y );
    glVertex2i ( x+h, y+h );
    glVertex2i ( x, y+h );
  glEnd ();
} /*xgl2eDrawRectangle*/

