
/* ///////////////////////////////////////////////////////////////////////// */
/* This file is a part of the BSTools package                                */
/* written by Przemyslaw Kiciak                                              */
/* ///////////////////////////////////////////////////////////////////////// */
/* (C) Copyright by Przemyslaw Kiciak, 2017                                  */
/* this package is distributed under the terms of the                        */
/* Lesser GNU Public License, see the file COPYING.LIB                       */ 
/* ///////////////////////////////////////////////////////////////////////// */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <malloc.h>
#include <string.h>

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/cursorfont.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glx.h>

#include "pkvaria.h"
#include "xgledit.h"
#include "xgeprivate.h"

PFNGLATTACHSHADERPROC            glAttachShader = NULL;
PFNGLBINDBUFFERPROC              glBindBuffer = NULL;  
PFNGLBINDBUFFERBASEPROC          glBindBufferBase = NULL;
PFNGLBINDBUFFERRANGEPROC         glBindBufferRange = NULL;
PFNGLBINDVERTEXARRAYPROC         glBindVertexArray = NULL;
PFNGLBUFFERDATAPROC              glBufferData = NULL;
PFNGLBUFFERSUBDATAPROC           glBufferSubData = NULL;
PFNGLCOMPILESHADERPROC           glCompileShader = NULL;
PFNGLCREATESHADERPROC            glCreateShader = NULL;
PFNGLCREATEPROGRAMPROC           glCreateProgram = NULL;
PFNGLDELETEBUFFERSPROC           glDeleteBuffers = NULL;
PFNGLENABLEVERTEXATTRIBARRAYPROC glEnableVertexAttribArray = NULL;
PFNGLGENBUFFERSPROC              glGenBuffers = NULL;
PFNGLGENVERTEXARRAYSPROC         glGenVertexArrays = NULL;
PFNGLGETACTIVEUNIFORMBLOCKIVPROC glGetActiveUniformBlockiv = NULL;
PFNGLGETACTIVEUNIFORMSIVPROC     glGetActiveUniformsiv = NULL;
PFNGLGETPROGRAMINFOLOGPROC       glGetProgramInfoLog = NULL;
PFNGLGETPROGRAMIVPROC            glGetProgramiv = NULL;
PFNGLGETSHADERINFOLOGPROC        glGetShaderInfoLog = NULL;
PFNGLGETSHADERIVPROC             glGetShaderiv = NULL;
PFNGLGETUNIFORMBLOCKINDEXPROC    glGetUniformBlockIndex = NULL;
PFNGLGETUNIFORMINDICESPROC       glGetUniformIndices = NULL;
PFNGLLINKPROGRAMPROC             glLinkProgram = NULL;
PFNGLSHADERSOURCEPROC            glShaderSource = NULL;
PFNGLUNIFORMBLOCKBINDINGPROC     glUniformBlockBinding = NULL;
PFNGLUSEPROGRAMPROC              glUseProgram = NULL;
PFNGLVALIDATEPROGRAMPROC         glValidateProgram = NULL;
PFNGLVERTEXATTRIB3FVPROC         glVertexAttrib3fv = NULL;
PFNGLVERTEXATTRIBIPOINTERPROC    glVertexAttribIPointer = NULL;
PFNGLVERTEXATTRIBPOINTERPROC     glVertexAttribPointer = NULL;

proc_addr _xgle_GetProcAddr ( const char *name )
{
  proc_addr pr;
  pr = glXGetProcAddressARB( (const GLubyte*)name );
  if ( !pr )
    fprintf ( stderr, "procedure %s not found", name );
  return pr;
} /*_xgle_GetProcAddr*/

void _xgle_GetGLProcedures ( void )
{
  glAttachShader            = _xgle_GetProcAddr ( "glAttachShader" );
  glBindBuffer              = _xgle_GetProcAddr ( "glBindBuffer" );
  glBindBufferBase          = _xgle_GetProcAddr ( "glBindBufferBase" );
  glBindBufferRange         = _xgle_GetProcAddr ( "glBindBufferRange" );
  glBindVertexArray         = _xgle_GetProcAddr ( "glBindVertexArray" );
  glBufferData              = _xgle_GetProcAddr ( "glBufferData" );
  glBufferSubData           = _xgle_GetProcAddr ( "glBufferSubData" );
  glCompileShader           = _xgle_GetProcAddr ( "glCompileShader" );
  glCreateShader            = (PFNGLCREATESHADERPROC)
                              _xgle_GetProcAddr ( "glCreateShader" );
  glCreateProgram           = (PFNGLCREATEPROGRAMPROC)
                              _xgle_GetProcAddr ( "glCreateProgram" );
  glDeleteBuffers           = _xgle_GetProcAddr ( "glDeleteBuffers" );
  glEnableVertexAttribArray = _xgle_GetProcAddr ( "glEnableVertexAttribArray" );
  glGenBuffers              = _xgle_GetProcAddr ( "glGenBuffers" );
  glGenVertexArrays         = _xgle_GetProcAddr ( "glGenVertexArrays" );
  glGetActiveUniformBlockiv = _xgle_GetProcAddr ( "glGetActiveUniformBlockiv" );
  glGetActiveUniformsiv     = _xgle_GetProcAddr ( "glGetActiveUniformsiv" );
  glGetProgramInfoLog       = _xgle_GetProcAddr ( "glGetProgramInfoLog" );
  glGetProgramiv            = _xgle_GetProcAddr ( "glGetProgramiv" );
  glGetShaderInfoLog        = _xgle_GetProcAddr ( "glGetShaderInfoLog" );
  glGetShaderiv             = _xgle_GetProcAddr ( "glGetShaderiv" );
  glGetUniformBlockIndex    = (PFNGLGETUNIFORMBLOCKINDEXPROC)
                              _xgle_GetProcAddr ( "glGetUniformBlockIndex" );
  glGetUniformIndices       = _xgle_GetProcAddr ( "glGetUniformIndices" );
  glLinkProgram             = _xgle_GetProcAddr ( "glLinkProgram" );
  glShaderSource            = _xgle_GetProcAddr ( "glShaderSource" );
  glUniformBlockBinding     = _xgle_GetProcAddr ( "glUniformBlockBinding" );
  glUseProgram              = _xgle_GetProcAddr ( "glUseProgram" );
  glValidateProgram         = _xgle_GetProcAddr ( "glValidateProgram" );
  glVertexAttrib3fv         = _xgle_GetProcAddr ( "glVertexAttrib3fv" );
  glVertexAttribIPointer    = _xgle_GetProcAddr ( "glVertexAttribIPointer" );
  glVertexAttribPointer     = (PFNGLVERTEXATTRIBPOINTERPROC)
                              _xgle_GetProcAddr ( "glVertexAttribPointer" );
} /*_xgle_GetGLProcedures*/

